/*****************************************************************************/
/*!
\file      device.h
\brief     Header for device.c 
                         

\implementation
  project       Multimedia Gateway
  version       0.00
  copyright     
  
  generated     Matthias Koelling 19.06.2008
  review
  released

  compiler      AVR GCC
  target        ATmega128-16AU
\endimplementation

\history  
  Rev     Date         Author      Commentary
  0.00    19.06.2008   Koelling    generated
\endhistory  
*/
/*****************************************************************************/

#ifndef __DEVICE_h
#define __DEVICE_h

/* -- Includes ------------------------------------------------------------- */

/* -- Configuration Parameters --------------------------------------------- */

/* -- Makros --------------------------------------------------------------- */

/* -- Defines -------------------------------------------------------------- */ 

/* -- Types ---------------------------------------------------------------- */

typedef enum
{
   M_ENABLE,		
   M_DISABLE,		
   NUM_PWM_COMMANDS
}PWM_COMMANDS_E;

typedef enum
{
   D_MP3,		
   D_CDC,
   D_AUX,		
   NUM_DEVICES
}DEVICE_E;

/* -- Extern Global Variables ---------------------------------------------- */

/* -- Global Function Prototypes ------------------------------------------- */

extern void Init_Select_fv(void);
extern void Device_Timer_CB_fv(void);
extern void Change_Device_fv(void);
extern void Select_Device_fv(void);
extern DEVICE_E Get_Last_Device_fe(void);
extern void Enable_IR_Select_fv(void);
extern void Disable_IR_Select_fv(void);

void Send_Gateway_Command_fv(PWM_COMMANDS_E pwm_command_e);

#endif // __DEVICE_h 

// eof //
