/*****************************************************************************/
/*!
\file      display.h
\brief     header for display.c

\implementation
  project       Multimedia Gateway
  version       0.00
  copyright     ported from 80c31 on display board JW-002 
  
  generated     Matthias Koelling 26.09.2007
  review
  released

  compiler      AVR GCC
  target        ATmega128-16AU
\endimplementation

\history  
  Rev     Date         Author      Commentary
  0.00    26.09.2007   Koelling    generated
\endhistory  
*/
/*****************************************************************************/

#ifndef __DISPLAY_h
#define __DISPLAY_h

/* -- Includes ------------------------------------------------------------- */

/* -- Configuration Parameters --------------------------------------------- */

/* -- Makros --------------------------------------------------------------- */

/* -- Defines -------------------------------------------------------------- */ 

#define ROWS_DU8 8
#define COLUMS_DU8 24

/* -- Types ---------------------------------------------------------------- */

/* -- Extern Global Variables ---------------------------------------------- */

/* -- Global Function Prototypes ------------------------------------------- */

extern uint16_t DisplayBuffer_gau16[24][8];  // holds the current display image
extern void Init_Display_fv(void);
extern void Display_fv(void);
extern void Display_Device_Select_fv(DEVICE_E device_e, uint8_t on_off_u8);
extern void Display_Active_Device_fv(DEVICE_E device_e);
extern void Display_Callback_fv(void);
extern void Redraw_Page_fv(void);
   
#endif // __DISPLAY_h

//eof//
