/*****************************************************************************/
/*!
\file      ir.h
\brief     Header for ir.c 
                         

\implementation
  project       Multimedia Gateway
  version       0.00
  copyright     
  
  generated     Matthias Koelling 03.03.2008
  review
  released

  compiler      AVR GCC
  target        ATmega128-16AU
\endimplementation

\history  
  Rev     Date         Author      Commentary
  0.00    25.09.2007   Koelling    generated
\endhistory  
*/
/*****************************************************************************/

#ifndef __IR_h
#define __IR_h

/* -- Includes ------------------------------------------------------------- */

/* -- Configuration Parameters --------------------------------------------- */

/* -- Makros --------------------------------------------------------------- */

/* -- Defines -------------------------------------------------------------- */ 

#define PB_STRING_LEN_DU8 12
#define BUTTON_DU8        12  

enum EVENTS 
{
	STRING_DOWN = 1,
	STRING_UP,
	STRING_AR
};

/* -- Types ---------------------------------------------------------------- */

typedef struct {				              // structure for 3 push button events
	uint8_t string_dn_u8[PB_STRING_LEN_DU8];  // string for down event
	uint8_t string_up_u8[PB_STRING_LEN_DU8];  // string for up event
	uint8_t string_ar_u8[PB_STRING_LEN_DU8];  // string for auto repeat event
} pb_strings_t;

/* -- Extern Global Variables ---------------------------------------------- */

/* -- Global Function Prototypes ------------------------------------------- */

extern void Init_IR_fv(void);
extern void IR_Command_50ms_fv(void);
extern void PB_String_Write_fv(uint8_t button_u8, uint8_t event_u8, uint8_t *string_pau8);
extern void PB_Config_Write_fv(uint8_t button_u8, uint8_t config_u8);

#endif // __IR_h 

// eof //
