#include <avr/io.h>
#include <avr/sfr_defs.h>
#include <avr/eeprom.h>
#include <stdlib.h>
#include <avr/pgmspace.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include "com.h"
#include "stv5730.h"
#include "twi.h"
#include "tda7439.h"
#include "tda4886.h"
#include "vwcdc.h"
#include "device.h"
#include "display.h"
#include "ir.h"
#include "os.h"
#include "hardware.h"
#include "sw_timer.h"
#include "printf.h"
#include "main.h"


uint8_t txin = 0;
uint8_t txout = 0;
extern uint8_t cmdcode;
extern void DecodeCommand(void);

int main(void)
{
   Init_IO_fv();
   Init_UART();
   Init_TWI();
   Init_TDA7439();
   Init_TDA4886();
   Init_OSD();
   #ifndef TEST_SCREEN
      Init_Display_fv();
   #else
      OSD_Test_Screen_fv();
      while(1)
      {
      }
   #endif
   Init_Select_fv();
   Init_VWCDC();
   Init_IR_fv();
   Init_SW_Timer_fv();
   //Enable_IR_Select_fv();
   printf("MAIN_OK\r\n");
   /*
   while(1)
   {
   }
   */
   Start_OS_fv();
   return 0;
}

// eof
