/*****************************************************************************/
/*!
\file      tda4886.c
\brief     control of TDA4886              

\implementation
  project       Multimedia Gateway
  version       0.00
  copyright     
  
  generated     Matthias Koelling 26.04.2009
  review
  released

  compiler      AVR GCC
  target        ATmega1280-16AU
\endimplementation

\history  
  Rev     Date         Author      Commentary
  0.00    26.04.2009   Koelling    generated
\endhistory  
*/
/*****************************************************************************/

/* -- Includes ------------------------------------------------------------- */

#include <avr/io.h>
#include "hardware.h"
#include "twi.h"
#include "printf.h"
#include "tda4886.h"

/* -- Configuration Parameters --------------------------------------------- */

/* -- Makros --------------------------------------------------------------- */

/* -- Defines -------------------------------------------------------------- */ 

/* -- Types ---------------------------------------------------------------- */

/* -- Modul Global Function Prototypes ------------------------------------- */

/* -- Module Global Variables ---------------------------------------------- */

/* -- Extern Global Variables ---------------------------------------------- */

/* -- Implementation Functions --------------------------------------------- */

//-----------------------------------------------------------------------------
/*!
   \brief     Init_TDA4886

    initialise TDA4886 with default values

   \author     Koelling
   \date       26.04.2009

   \param[in]  void
   \param[out] none
   \return     void
*/
//-----------------------------------------------------------------------------

void Init_TDA4886(void)
{
   //printf("Init_TDA4886\r\n");
   TDA4886_send_byte(0x00,0x08); // control register
   TDA4886_send_byte(0x01,0x10); // Brightness control
   TDA4886_send_byte(0x02,0x16); // Contrast control
   TDA4886_send_byte(0x03,0x0F); // OSD contrast control
   TDA4886_send_byte(0x04,0x3F); // Gain control channel 1
   TDA4886_send_byte(0x05,0x3F); // Gain control channel 2
   TDA4886_send_byte(0x06,0x3F); // Gain control channel 3
   TDA4886_send_byte(0x07,0x80); // Black level reference channel 1
   TDA4886_send_byte(0x08,0x80); // Black level reference channel 2
   TDA4886_send_byte(0x09,0x80); // Black level reference channel 3
}

// eof
