/*****************************************************************************/
/*!
\file      tda7439.h
\brief     header for tda7439.c 
                         

\implementation
  project       Multimedia Gateway
  version       0.00
  copyright     
  
  generated     Matthias Koelling 26.04.2009
  review
  released

  compiler      AVR GCC
  target        ATmega1280-16AU
\endimplementation

\history  
  Rev     Date         Author      Commentary
  0.00    26.04.2009   Koelling    generated
\endhistory  
*/
/*****************************************************************************/

#ifndef __TDA7439_h
#define __TDA7439_h

/* -- Includes ------------------------------------------------------------- */

/* -- Configuration Parameters --------------------------------------------- */

/* -- Defines -------------------------------------------------------------- */ 

#define TDA7439_SLAVE_ADD (uint8_t)0x88

#define IN_SELECT  (uint8_t)0x00
#define IN_GAIN    (uint8_t)0x01
#define VOLUME     (uint8_t)0x02
#define BASS       (uint8_t)0x03
#define MIDDLE     (uint8_t)0x04
#define TREBLE     (uint8_t)0x05
#define SPK_ATTN_R (uint8_t)0x06
#define SPK_ATTN_L (uint8_t)0x07

#define MAIN_VOL   (uint8_t) 4
#define IN1        (uint8_t) 3
#define IN2        (uint8_t) 2
#define IN3        (uint8_t) 1
#define IN4        (uint8_t) 0

#define VOL_MUTE   (uint8_t) 0x38 // volume attanuation

/* -- Makros --------------------------------------------------------------- */

#define TDA7439_send_byte(sub,data) (Twi_send_byte(TDA7439_SLAVE_ADD,sub,data))

/* -- Types ---------------------------------------------------------------- */

/* -- Extern Global Variables ---------------------------------------------- */

/* -- Global Function Prototypes ------------------------------------------- */

extern void Init_TDA7439(void);
extern void Sel_Audio_MP3_fv(void);
extern void Sel_Audio_CDC_fv(void);
extern void Sel_Audio_AUX_fv(void);

#endif // __TDA7439_h 

// eof //
